Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.69
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.persist.evolve
Class EvolveConfig

    java.lang.Object
      com.sleepycat.persist.evolve.EvolveConfig

All Implemented Interfaces:
  Cloneable

    public class EvolveConfig

extends Object
implements Cloneable

Configuration properties for eager conversion of unevolved objects. This configuration is used with `EntityStore.evolve`.

Author:
  Mark Hayes
See Also:
  `Class Evolution`

Constructor Summary
`EvolveConfig()` Creates an evolve configuration with default properties.

Method Summary
`void` | `addClassToEvolve(String entityClass)` Adds an entity class for a primary index to be converted.
`EvolveConfig` | `cloneConfig()` Returns a shallow copy of the configuration.
`Set<String>` | `getClassesToEvolve()` Returns an unmodifiable set of the entity classes to be evolved.
`EvolveListener` | `getEvolveListener()` Returns the progress listener that is notified each time an entity is read.
`void` | `setEvolveListener(EvolveListener listener)` Sets a progress listener that is notified each time an entity is read.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EvolveConfig

    public EvolveConfig()

  Creates an evolve configuration with default properties.

Method Detail

### cloneConfig

    public EvolveConfig cloneConfig()

  Returns a shallow copy of the configuration.

### addClassToEvolve

    public void addClassToEvolve(String entityClass)

  Adds an entity class for a primary index to be converted. If no classes are added, all indexes that require evolution will be converted.

### getClassesToEvolve

    public Set<String> getClassesToEvolve()

  Returns an unmodifiable set of the entity classes to be evolved.

### setEvolveListener

    public void setEvolveListener(EvolveListener listener)

  Sets a progress listener that is notified each time an entity is read.

### getEvolveListener

    public EvolveListener getEvolveListener()

  Returns the progress listener that is notified each time an entity is read.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.69
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.